Package org.springframework.security.web.authentication.www

# Class NonceExpiredException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.web.authentication.www.NonceExpiredException

All Implemented Interfaces:
  `Serializable`

public class NonceExpiredException extends org.springframework.security.core.AuthenticationException
Thrown if an authentication request is rejected because the digest nonce has expired.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NonceExpiredException(String msg)`
Constructs a `NonceExpiredException` with the specified message.
`NonceExpiredException(String msg, Throwable cause)`
Constructs a `NonceExpiredException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonceExpiredException

public NonceExpiredException(String msg)
Constructs a `NonceExpiredException` with the specified message.

Parameters:
  `msg` - the detail message

### NonceExpiredException

public NonceExpiredException(String msg, Throwable cause)
Constructs a `NonceExpiredException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - root cause